# Generated by Django 3.0.4 on 2020-03-18 11:35

from django.db import migrations, models
import django.db.models.deletion
import django_fsm


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Customer',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('modified', models.DateTimeField(auto_now=True)),
                ('iin', models.CharField(max_length=12, null=True, unique=True, verbose_name='ИИН')),
                ('document_id', models.CharField(max_length=9, null=True, verbose_name='Номер документа')),
                ('phone_number', models.CharField(max_length=10, unique=True, verbose_name='Номер телефона')),
                ('first_name', models.CharField(max_length=32, null=True, verbose_name='Имя')),
                ('last_name', models.CharField(max_length=32, null=True, verbose_name='Фамилия')),
                ('middle_name', models.CharField(max_length=32, null=True, verbose_name='Отчество')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Credit',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('modified', models.DateTimeField(auto_now=True)),
                ('status', django_fsm.FSMField(choices=[('CREATED', 'Created'), ('ACTIVE', 'Active'), ('PAID', 'Paid')], default='CREATED', max_length=50, verbose_name='Статус кредита')),
                ('amount', models.DecimalField(decimal_places=0, max_digits=6, null=True, verbose_name='Сумма')),
                ('deadline', models.DateTimeField(null=True, verbose_name='Дата погашения')),
                ('customer', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='credit.Customer')),
            ],
            options={
                'abstract': False,
            },
        ),
    ]
